# <cd>

[This is preliminary documentation and subject to change.]

Changes the current working directory.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
dir | directory | The path to which the current working directory should be set. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Examples

- Changes the current working directory to the "subdir" directory, relative to the project base directory.

      <cd dir="subdir" />

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)